!> \file
!! Contains subroutine wrt_output_h5()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine WRT_OUTPUT_H5
!
!> Controls hdf5 outputs.
!<
subroutine wrt_output_h5(k)

  use para, only : mype

#if HDF==1

  use divers

  implicit none

  integer, dimension(8) :: dataexist     !< Data buffers 
  integer               :: k
  
  character(len=33) :: filename 

  call get_dataexist(datanames,ndata,dataexist)

  call get_filename(filename,'-o-000_000.h5',tout(iout),iout,mype)
  if (mype==0) write(*,*) 'Writing file :',filename

  call output_data(filename,dataexist)

  return

#else

  implicit none

  integer :: k

  call close_program(mype,'hdf5 dummy: wrt_output_h5')

#endif

end subroutine wrt_output_h5
