!> \file
!! Contains subroutine set_units_out()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine SET_UNITS_OUT
!
!> Sets the physical units for the datacube outputs.
!<
subroutine set_units_out

  use unites
  use unites_sortie
  use para

  implicit none

  ! CGS
  u_M    = gramme
  u_L    = centimetre
  u_T    = seconde

  u_Vol  = u_L**3
  u_dens = u_M/u_Vol
  u_Vit  = u_L/u_T
  u_E    = u_M * u_Vit**2
  u_Mom  = u_dens * u_Vit
  u_Evol = u_E/u_Vol
  u_Fr   = u_vit * u_Evol

  return
  
end subroutine set_units_out
