!> \file
!! Contains modules cl_dif and diffusion
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Module CL_DIF
!
!> Contains the variables for the FLD boundary conditions.
!<
module cl_dif
  implicit none
  integer, dimension(6)              :: icl_dif             !< Type of local  FLD boundary conditions
  integer, dimension(6)              :: icl_dif_glob        !< Type of global FLD boundary conditions
  real   , dimension(:), allocatable :: Er_dif_l            !< Radiative energy in the boundaries for the FLD 
end module cl_dif

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Module DIFFUSION
!
!> Contains the variables for the FLD.
!<
module diffusion
  implicit none
  integer                             :: ngrp_dif           !< FLD number of frequency groups
  real, dimension(:,:,:), allocatable :: Er_dif             !< FLD radiative energy 
  real                                :: varrel_dif         !< Maximum FLD variable variations allowed
  real                                :: vardt_dif          !< Maximum FLD timestep variation allowed
  real                                :: dt_dif_exp         !< FLD explicit timestep
  real                                :: dt_dif_imp         !< FLD implicit timestep
  real                                :: dt_dif             !< FLD timestep
  character(len=9)                    :: fld_limiter        !< FLD flux limiter
  logical                             :: Dif_imp            !< Compute FLD implicitely if .true.
  logical                             :: precond_dif        !< Perform matrix preconditionning if .true.
  integer                             :: nitetot_dif        !< FLD total number of iterations
end module diffusion
