!> \file
!! Contains subroutine cal_kappa_ray()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine CAL_KAPPA_RAY
!
!> Computes the absorption \f$ \kappa_{a} \f$ and
!! scattering \f$ \kappa_{s} \f$ opacities for the M1
!! radiative transfer.
!<
subroutine cal_kappa_ray(rho,Tgaz,kappa_abs_ray,kappa_sca_ray,nxmin,nxmax,nymin,nymax,nzmin,nzmax)

  use unites

  implicit none

  integer :: nxmin,nxmax,nymin,nymax,nzmin,nzmax
  real, dimension(nxmin:nxmax,nymin:nymax,nzmin:nzmax) :: rho,Tgaz,kappa_abs_ray,kappa_sca_ray

  kappa_abs_ray = 1.0e+03

  kappa_sca_ray = 0.0e+00

  return

end subroutine cal_kappa_ray
