!> \file
!! Contains subroutine ray_step()
!<

!###########################################################
!###########################################################
!###########################################################
!###########################################################

!  Subroutine RAY_STEP
!
!> Performs the evolution over one timstep of the M1
!! radiative variables.
!<
subroutine ray_step(t_ray,temps_comm,monit)

  implicit none
  
#if PARA==1
  include 'mpif.h'
#else
  real     :: MPI_Wtime
  external :: MPI_Wtime
#endif

  real    :: t_ray
  logical :: monit

  integer           :: ierr
  real              :: tr1,tr2,temps_comm
  character(len=50) :: Com_Moni

  tr1 = MPI_Wtime(ierr)             
  call evol_ray
  tr2 = MPI_Wtime(ierr)     
  t_ray = t_ray + tr2-tr1

  Com_Moni = 'Radiative step done.'
  if (monit) call monitoring(Com_Moni)

  call communications_ray(temps_comm)
  call limites_ray
  
  call communications(temps_comm)
  call limites

  return
  
end subroutine ray_step
