pro marshak, dir, ps=ps

;Read heracles solution
RESOLVE_ROUTINE,'rd',/COMPILE_FULL_FILE
rd,1,var

;Dir is the direction of the Marshak test
CASE dir OF  
   'x': begin
       x=var.mesh.xc
       t=var.t (*,0,0)
      er=var.er(*,0,0)
      fr=var.fr(*,0,0,0)
      end
   'y': begin
       x=var.mesh.yc
       t=var.t (0,*,0)
      er=var.er(0,*,0)
      fr=var.fr(0,*,0,1)
      end
   'z': begin
       x=var.mesh.zc
       t=var.t (0,0,*)
      er=var.er(0,0,*)
      fr=var.fr(0,0,*,2)
      end
ENDCASE  

tek_color
!p.charsize=1.5

c  =2.997925e+10;* centimetre/seconde 
a_r=7.56464e-15 ;* erg/centimetre**3/degre**4 

if keyword_set(ps) then begin
  set_plot, 'ps' ; Set plotting to PostScript.
  device, /color, bits=8, xsize=12, ysize=8, /inches, filename='marshak'+dir+'.ps' ; Set the filename.
  !p.multi = [0, 2, 2]
endif

;Plot radiative energy
if not keyword_set(ps) then window,0
 plot,x,er,psym=4,xtitle=dir,title='Er'

;Plot reduced radiative flux
if not keyword_set(ps) then window,1
 plot,x,fr/c/er,psym=4,xtitle=dir,title='Fr/cEr'

;Plot temperatures
if not keyword_set(ps) then window,2
 plot,x,t,psym=4,xtitle=dir,title='Temperature'
oplot,x,(er/a_r)^0.25,thick=3,line=2

if keyword_set(ps) then begin
  device, /close ; Close the file. 
  set_plot,'x'
endif

return
end
