pro sod1d,dir,isotherm=isotherm,ps=ps

;Read heracles solution
RESOLVE_ROUTINE,'rd',/COMPILE_FULL_FILE
rd,1,var

;Dir is the direction of the Sod test
CASE dir OF  
   'x': begin
      x=var.mesh.xc   
      r=var.rho(*,0,0)
      u=var.u(*,0,0,0)
      p=var.p(*,0,0)  
      end
   'y': begin
      x=var.mesh.yc   
      r=var.rho(0,*,0)
      u=var.u(0,*,0,1)
      p=var.p(0,*,0)  
      end
   'z': begin
      x=var.mesh.zc   
      r=var.rho(0,0,*)
      u=var.u(0,0,*,2)
      p=var.p(0,0,*)  
      end
ENDCASE  

;Read analytic solution
if keyword_set(isotherm) then begin
   readcol,'../ref/sod1d_exact_isotherm.dat',x_e,r_e,u_e
endif else begin
   readcol,'../ref/sod1d_exact.dat',x_e,r_e,u_e,p_e,e_e
endelse

tek_color
!p.charsize=1.5

if keyword_set(ps) then begin

  set_plot, 'ps' ; Set plotting to PostScript.
  if keyword_set(isotherm) then begin
     device, /color, bits=8, xsize=12, ysize=4, /inches, filename='sod1d'+dir+'isoT.ps' ; Set the filename.
     !p.multi = [0, 2, 1] ; Make IDL's plotting area hold 2 columns and 1 rows of plots.
  endif else begin
     device, /color, bits=8, xsize=12, ysize=8, /inches, filename='sod1d'+dir+'.ps' ; Set the filename.
     !p.multi = [0, 2, 2] ; Make IDL's plotting area hold 2 columns and 2 rows of plots.
  endelse

endif

;Plot density
if not keyword_set(ps) then window,0
plot,x  ,r  ,psym=4,xtitle=dir,title='Density'
oplot,x_e,r_e,thick=3,color=2

;Plot velocity
if not keyword_set(ps) then window,1
plot,x  ,u  ,psym=4,xtitle=dir,title='Velocity'
oplot,x_e,u_e,thick=3,color=2

;Plot pressure
if not keyword_set(isotherm) then begin
if not keyword_set(ps) then window,2
  plot,x  ,p  ,psym=4,xtitle=dir,title='Pressure'
  oplot,x_e,p_e,thick=3,color=2
endif

if keyword_set(ps) then begin
  device, /close ; Close the file. 
  set_plot,'x'
endif

return
end
