from data  import rd_heracles
from plots import snapshots

from pylab import *

def self_gravity(save=0):

    var=rd_heracles.HeraclesData(1,'bin')

    snapshots.plot1d(var,type='E',slice='x',ycut=50,zcut=50)

    #Computes the analytic solution
    G = 6.67E-8
    M = 1.9891E33
    R = 2.5*1000*100

    phi_e=([])

    for xi in var.xcg:
        d=abs(xi-500000)
        if d < 250000:
            phi=G*M/(2*R)*((xi-500000)**2/R**2-3)
        else:
            phi=-G*M/abs(xi-500000)
        phi_e=append(phi_e,phi)
        
    plot(var.xcg,phi_e,'rx')

    if save==1:
        savefig('self_gravity.eps')

    return
